/*
 *  Copyright (c) 2009, Eric Berry <elberry@gmail.com>
 *  All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without modification,
 *  are permitted provided that the following conditions are met:
 *
 *  	* Redistributions of source code must retain the above copyright notice, this
 *  	  list of conditions and the following disclaimer.
 *  	* Redistributions in binary form must reproduce the above copyright notice,
 *  	  this list of conditions and the following disclaimer in the documentation
 *  	  and/or other materials provided with the distribution.
 *  	* Neither the name of the Organization (TellurianRing.com) nor the names of
 *  	  its contributors may be used to endorse or promote products derived from
 *  	  this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
 *  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 *  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 *  DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
 *  ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 *  (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 *  LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 *  ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 *  SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package plugindeveloper.util;

import plugindeveloper.PluginDeveloperPlugin;

import java.util.Locale;
import java.util.ResourceBundle;

/**
 * @author  elberry
 */
public class MessageResource {

   private Class clazz;

   public MessageResource() {
   }

   public MessageResource(Class clazz) {
      this.clazz = clazz;
   }

   public String findMessage(String name, String def, Locale locale) {
      if (locale == null) {
         locale = Locale.US;
      }
      String message = def;
      ResourceBundle bundle = ResourceBundle.getBundle(PluginDeveloperPlugin.MESSAGES, locale);
      if (bundle != null) {
         String key = name;
         if (clazz != null) {
            key = clazz.getCanonicalName() + name;
         }
         message = bundle.getString(key);
      }
      return message;
   }
}
// These properties are for jEdit - Programmer's Text Editor.
// Load this file in jEdit to see what they do.
// ::folding=explicit:mode=javas:noTabs=false:collapseFolds=4::
