/**
 * Creates a jEdit Plugin project shell.
 */
import plugindeveloper.builder.ProjectBuilder as PB;

PB.build("${pluginName}", "${projectDirectory}") {
	d("src") {
		d("conf") {
			f("${pluginName}.props", template: "${templates}/props.groovy", templateData: templateData)
			f("actions.xml", template: "${templates}/actions.groovy", templateData: templateData)
			f("dockables.xml", template: "${templates}/dockables.groovy", templateData: templateData)
			f("services.xml", template: "${templates}/services.groovy", templateData: templateData)
		}
		d("docs") {
			f("${pluginName}.html", template: "${templates}/actions.groovy", templateData: templateData)
		}
		d("main") {
			d("${pluginPackage}") {
				f("${pluginName}.java", template: "${templates}/class.groovy", templateData: templateData)
			}
			d("resources")
		}
		d("test") {
			d("${pluginPackage}") {
				f("${pluginName}TestSuite.java", template: "${templates}/test_suite.groovy", templateData: templateData)
			}
		}
	}
	f("build.xml", template: "${templates}/build.groovy", templateData: templateData)
	f("sample.build.properties", template: "${templates}/build_properties.groovy", templateData: templateData)
	f("LICENSE.txt", template: "${templates}/license.groovy", templateData: templateData)
}